Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 61 lines (56 sloc) 1.804 kB
96332be @jduff making it into a gem
jduff authored
1 # -*- encoding: utf-8 -*-
2
3 Gem::Specification.new do |s|
4 s.name = %q{api-throttling}
231d2b5 @jduff Regenerated gemspec for version 0.2.1
jduff authored
5 s.version = "0.2.1"
96332be @jduff making it into a gem
jduff authored
6
7 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
8 s.authors = ["Luc Castera", "John Duff"]
6686553 @jduff Regenerated gemspec for version 0.2.0
jduff authored
9 s.date = %q{2009-07-06}
96332be @jduff making it into a gem
jduff authored
10 s.description = %q{TODO}
11 s.email = %q{duff.john@gmail.com}
12 s.extra_rdoc_files = [
13 "LICENSE",
14 "README.md"
15 ]
16 s.files = [
17 "LICENSE",
18 "README.md",
19 "Rakefile",
20 "TODO.md",
e16ce4a @jduff Regenerated gemspec for version 0.1.0
jduff authored
21 "VERSION.yml",
96332be @jduff making it into a gem
jduff authored
22 "lib/api_throttling.rb",
231d2b5 @jduff Regenerated gemspec for version 0.2.1
jduff authored
23 "lib/handlers/active_support_cache_store_handler.rb",
e16ce4a @jduff Regenerated gemspec for version 0.1.0
jduff authored
24 "lib/handlers/handlers.rb",
84658fe @jduff Regenerated gemspec for version 0.1.1
jduff authored
25 "lib/handlers/hash_handler.rb",
e16ce4a @jduff Regenerated gemspec for version 0.1.0
jduff authored
26 "lib/handlers/memcache_handler.rb",
27 "lib/handlers/redis_handler.rb",
28 "test/test_api_throttling.rb",
84658fe @jduff Regenerated gemspec for version 0.1.1
jduff authored
29 "test/test_api_throttling_hash.rb",
e16ce4a @jduff Regenerated gemspec for version 0.1.0
jduff authored
30 "test/test_api_throttling_memcache.rb",
31 "test/test_handlers.rb",
32 "test/test_helper.rb"
96332be @jduff making it into a gem
jduff authored
33 ]
34 s.has_rdoc = true
35 s.homepage = %q{http://github.com/jduff/api-throttling/tree}
36 s.rdoc_options = ["--charset=UTF-8"]
37 s.require_paths = ["lib"]
38 s.rubygems_version = %q{1.3.1}
39 s.summary = %q{Rack Middleware to impose a rate limit on a web service (aka API Throttling)}
40 s.test_files = [
e16ce4a @jduff Regenerated gemspec for version 0.1.0
jduff authored
41 "test/test_api_throttling.rb",
84658fe @jduff Regenerated gemspec for version 0.1.1
jduff authored
42 "test/test_api_throttling_hash.rb",
e16ce4a @jduff Regenerated gemspec for version 0.1.0
jduff authored
43 "test/test_api_throttling_memcache.rb",
44 "test/test_handlers.rb",
45 "test/test_helper.rb"
96332be @jduff making it into a gem
jduff authored
46 ]
47
48 if s.respond_to? :specification_version then
49 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
50 s.specification_version = 2
51
52 if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
6686553 @jduff Regenerated gemspec for version 0.2.0
jduff authored
53 s.add_development_dependency(%q<context>, [">= 0"])
96332be @jduff making it into a gem
jduff authored
54 else
6686553 @jduff Regenerated gemspec for version 0.2.0
jduff authored
55 s.add_dependency(%q<context>, [">= 0"])
96332be @jduff making it into a gem
jduff authored
56 end
57 else
6686553 @jduff Regenerated gemspec for version 0.2.0
jduff authored
58 s.add_dependency(%q<context>, [">= 0"])
96332be @jduff making it into a gem
jduff authored
59 end
60 end
Something went wrong with that request. Please try again.